<p-blockUI [target]="pnl" [blocked]="blockedPanel">
    <i class="pi pi-spin pi-spinner" style="font-size: 3rem"></i>
</p-blockUI>
<div class="grid">
    <div class="col-12">
        <div class="card">
            <h5 class="text-blue-500 font-bold"><i class="pi pi-box text-4xl"></i>จัดการคลินิก</h5>
            <p-table #pnl [value]="clinics" scrollDirection="both" [paginator]="true" [rows]="10" [scrollable]="true"
                [showCurrentPageReport]="true" styleClass="mt-3" responsiveLayout="scroll" [rowHover]="true"
                currentPageReportTemplate="Showing {first} to {last} of {totalRecords} entries"
                [rowsPerPageOptions]="[10,25,50]" [globalFilterFields]="['service_name']">
                <ng-template pTemplate="caption">
                    <div class="flex flex-wrap gap-2 align-items-center justify-content-between">
                        <span class="p-input-icon-left w-full sm:w-20rem flex-order-1 sm:flex-order-0">
                            <i class="pi pi-search"></i>
                            <input pInputText type="text" (input)="onGlobalFilter(pnl, $event)" placeholder="ค้นหา"
                                class="w-full" />
                        </span>
                        <button (click)="displayFormAdd()" pButton
                            class="p-button w-full sm:w-auto flex-order-0 sm:flex-order-1"
                            icon="pi pi-plus-circle" label="เพิ่มคลินิก"></button>
                    </div>
                </ng-template>
                <ng-template pTemplate="header">
                    <tr>
                        <th class="text-center">ลำดับ</th>
                        <th pSortableColumn="service_name">ชื่อคลินิก <p-sortIcon field="service_name"></p-sortIcon></th>
                        <th class="text-center" pSortableColumn="is_active">สถานะการใช้งาน <p-sortIcon field="is_active"></p-sortIcon></th>
                        <th class="text-center"></th>
                    </tr>
                </ng-template>
                <ng-template pTemplate="body" let-clinic let-i="rowIndex">
                    <tr>
                        <td style=" text-align: center;">{{i+1}}</td>
                        <td>{{clinic.service_name}}</td>
                        <td class="text-center">
                            <p-tag *ngIf="clinic.is_active" severity="success" value="เปิดใช้งาน"></p-tag>
                            <p-tag *ngIf="!clinic.is_active" severity="danger" value="ปิดใช้งาน"></p-tag>
                        </td>
                        <td class="text-center">
                            <button type="button" pButton pRipple icon="pi pi-pencil" class="h-1rem mr-2 p-button-warning p-button-raised" (click)="displayFormEdit(clinic)" pTooltip="แก้ไขข้อมูล" tooltipPosition="bottom"></button>
                        </td>
                </ng-template>
            </p-table>
        </div>
    </div>

    <p-dialog [(visible)]="displayForm" [breakpoints]="{'960px': '75vw', '640px': '100vw'}" [style]="{width: '50vw'}">
        <ng-template pTemplate="header">
            <h5 *ngIf="isAdd">เพิ่มคลินิก</h5>
            <h5 *ngIf="isEdit">แก้ไขคลินิก</h5>
        </ng-template>
        <ng-template pTemplate="content">
            <div *ngIf="isAdd" class="p-fluid">
                <div class="grid">
                    <div class="col-12 md:col-12">
                        <div class="flex flex-column gap-2">
                            <label for="title">ชื่อคลินิก</label>
                            <div class="p-inputgroup">
                                <span class="p-inputgroup-addon"><i class="pi pi-chevron-circle-right"></i></span>
                                <input pInputText id="service_name" aria-describedby="service_name-help"
                                    [(ngModel)]="clinicName" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div *ngIf="isEdit" class="p-fluid">
                <div class="grid">
                    <div class="col-12 md:col-12">
                        <div class="flex flex-column gap-2">
                            <label for="title">ชื่อคลินิก</label>
                            <div class="p-inputgroup">
                                <span class="p-inputgroup-addon"><i class="pi pi-chevron-circle-right"></i></span>
                                <input pInputText id="service_name" aria-describedby="service_name-help"
                                    [(ngModel)]="clinicNameEdit" />
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-12 md:col-6"><h5>สถานะการใช้งาน</h5><p-inputSwitch [(ngModel)]="clinicActiveEdit"></p-inputSwitch>
                </div>
            </div>
        </ng-template>
        <ng-template pTemplate="footer">
            <button *ngIf="isAdd" type="button" pButton icon="pi pi-check" class="p-button-raised p-button-success"
                (click)="save()" label="เพิ่มรายการ"></button>
            <button *ngIf="isEdit" type="button" pButton icon="pi pi-check" class="p-button-raised p-button-success"
                (click)="update()" label="บันทึกแก้ไข"></button>
        </ng-template>
    </p-dialog>
</div>